package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校考生考核成绩部分对象 a_enroll_score
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AEnrollScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String universityName;

    /** 录取公式 */
    @Excel(name = "录取公式")
    private String enrollFormula;

    /** 显示公式 */
    @Excel(name = "显示公式")
    private String equalFormula;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroups;

    /** 专业类别 */
    @Excel(name = "专业类别")
    private String majorNames;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirections;

    /** 考生类别 */
    @Excel(name = "考生类别")
    private String examineeTypes;

    /** 考核项类别 */
    @Excel(name = "考核项类别")
    private String itemCategory;

    /** 考核项名称 */
    @Excel(name = "考核项名称")
    private String itemName;

    /** 考核项分组提分 */
    @Excel(name = "考核项分组提分")
    private String itemGroup;

    /** 考核项类型 */
    @Excel(name = "考核项类型")
    private String itemType;

    /** 考核字段名 */
    @Excel(name = "考核字段名")
    private String itemField;

    /** 值类型:Score,Boolean */
    @Excel(name = "值类型:Score,Boolean")
    private String valueType;

    /** 值规则 */
    @Excel(name = "值规则")
    private String valueRule;

    /** 矫正类型:0不支持,1固定分2固定比例 */
    @Excel(name = "矫正类型:0不支持,1固定分2固定比例")
    private Integer correctType;

    /** 矫正参考值 */
    @Excel(name = "矫正参考值")
    private String correctValue;

    /** 符合性条件 */
    @Excel(name = "符合性条件")
    private String valuePassRule;

    /** 备选值 */
    @Excel(name = "备选值")
    private String valueOptional;

    /** 总分 */
    @Excel(name = "总分")
    private Integer scoreTotal;

    /** 描述未用 */
    @Excel(name = "描述未用")
    private String description;

    /** 备注说明 */
    @Excel(name = "备注说明")
    private String comment;

    /** 校验公式 */
    @Excel(name = "校验公式")
    private String regex;

    /** 占位提示 */
    @Excel(name = "占位提示")
    private String placeholder;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultValue;

    /** 提示 */
    @Excel(name = "提示")
    private String tips;

    /** 键盘模式 */
    @Excel(name = "键盘模式")
    private String keyboardMode;

    /** 是否有点 */
    @Excel(name = "是否有点")
    private Integer dotDisable;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }

    public String getEqualFormula() {
        return equalFormula;
    }

    public void setEqualFormula(String equalFormula) {
        this.equalFormula = equalFormula;
    }

    public void setEnrollFormula(String enrollFormula)
    {
        this.enrollFormula = enrollFormula;
    }

    public String getEnrollFormula() 
    {
        return enrollFormula;
    }
    public void setMajorGroups(String majorGroups)
    {
        this.majorGroups = majorGroups;
    }

    public String getMajorGroups() 
    {
        return majorGroups;
    }
    public void setMajorNames(String majorNames) 
    {
        this.majorNames = majorNames;
    }

    public String getMajorNames() 
    {
        return majorNames;
    }
    public void setMajorDirections(String majorDirections) 
    {
        this.majorDirections = majorDirections;
    }

    public String getMajorDirections() 
    {
        return majorDirections;
    }
    public void setExamineeTypes(String examineeTypes) 
    {
        this.examineeTypes = examineeTypes;
    }

    public String getExamineeTypes() 
    {
        return examineeTypes;
    }
    public void setItemCategory(String itemCategory)
    {
        this.itemCategory = itemCategory;
    }

    public String getItemCategory() 
    {
        return itemCategory;
    }
    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setItemGroup(String itemGroup) 
    {
        this.itemGroup = itemGroup;
    }

    public String getItemGroup() 
    {
        return itemGroup;
    }
    public void setItemType(String itemType) 
    {
        this.itemType = itemType;
    }

    public String getItemType() 
    {
        return itemType;
    }
    public void setItemField(String itemField) 
    {
        this.itemField = itemField;
    }

    public String getItemField() 
    {
        return itemField;
    }
    public void setValueType(String valueType) 
    {
        this.valueType = valueType;
    }

    public String getValueType() 
    {
        return valueType;
    }
    public void setValueRule(String valueRule) 
    {
        this.valueRule = valueRule;
    }

    public String getValueRule() 
    {
        return valueRule;
    }
    public void setCorrectType(Integer correctType)
    {
        this.correctType = correctType;
    }

    public Integer getCorrectType()
    {
        return correctType;
    }
    public void setCorrectValue(String correctValue) 
    {
        this.correctValue = correctValue;
    }

    public String getCorrectValue() 
    {
        return correctValue;
    }
    public void setValuePassRule(String valuePassRule) 
    {
        this.valuePassRule = valuePassRule;
    }

    public String getValuePassRule() 
    {
        return valuePassRule;
    }
    public void setValueOptional(String valueOptional) 
    {
        this.valueOptional = valueOptional;
    }

    public String getValueOptional() 
    {
        return valueOptional;
    }
    public void setScoreTotal(Integer scoreTotal)
    {
        this.scoreTotal = scoreTotal;
    }

    public Integer getScoreTotal()
    {
        return scoreTotal;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setRegex(String regex) 
    {
        this.regex = regex;
    }

    public String getRegex() 
    {
        return regex;
    }
    public void setPlaceholder(String placeholder) 
    {
        this.placeholder = placeholder;
    }

    public String getPlaceholder() 
    {
        return placeholder;
    }
    public void setDefaultValue(String defaultValue) 
    {
        this.defaultValue = defaultValue;
    }

    public String getDefaultValue() 
    {
        return defaultValue;
    }
    public void setTips(String tips) 
    {
        this.tips = tips;
    }

    public String getTips() 
    {
        return tips;
    }
    public void setKeyboardMode(String keyboardMode) 
    {
        this.keyboardMode = keyboardMode;
    }

    public String getKeyboardMode() 
    {
        return keyboardMode;
    }
    public void setDotDisable(Integer dotDisable)
    {
        this.dotDisable = dotDisable;
    }

    public Integer getDotDisable()
    {
        return dotDisable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("enrollFormula", getEnrollFormula())
            .append("majorGroups", getMajorGroups())
            .append("majorNames", getMajorNames())
            .append("majorDirections", getMajorDirections())
            .append("examineeTypes", getExamineeTypes())
            .append("itemCategory", getItemCategory())
            .append("itemName", getItemName())
            .append("itemGroup", getItemGroup())
            .append("itemType", getItemType())
            .append("itemField", getItemField())
            .append("valueType", getValueType())
            .append("valueRule", getValueRule())
            .append("correctType", getCorrectType())
            .append("correctValue", getCorrectValue())
            .append("valuePassRule", getValuePassRule())
            .append("valueOptional", getValueOptional())
            .append("scoreTotal", getScoreTotal())
            .append("description", getDescription())
            .append("comment", getComment())
            .append("regex", getRegex())
            .append("placeholder", getPlaceholder())
            .append("defaultValue", getDefaultValue())
            .append("tips", getTips())
            .append("keyboardMode", getKeyboardMode())
            .append("dotDisable", getDotDisable())
            .toString();
    }
}
